Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - a -

- A : node.c , util.c
- A_FIELD_HEADER : node.c
- A_ID : node.c
- A_INDENT : node.c
- A_INT : node.c
- A_LIT : node.c
- A_LONG : node.c
- A_NODE_HEADER : node.c
- ABBR_DAYS : date_parse.c
- ABBR_MONTHS : date_parse.c
- Abs : bigdecimal.h
- access : win32.h
- acp_to_wstr : win32.c
- ACQUIRE_DTOA_LOCK : util.c
- add : date_strftime.c , strftime.c
- ADD2HEAP : ripper.c , ripper.y , parse.c , parse.y
- ADD64_TO : siphash.c
- ADD_ADJUST : compile.c
- ADD_ADJUST_RESTORE : compile.c
- ADD_ALL_MULTI_BYTE_RANGE : regparse.c
- ADD_CALL : compile.c
- ADD_CALL_RECEIVER : compile.c
- ADD_CALL_WITH_BLOCK : compile.c
- ADD_CATCH_ENTRY : compile.c
- add_frac : date_core.c
- ADD_INSN : compile.c
- ADD_INSN1 : compile.c
- ADD_INSN2 : compile.c
- ADD_INSN3 : compile.c
- ADD_INSNL : compile.c
- ADD_LABEL : compile.c
- ADD_PC : vm_insnhelper.h
- ADD_SEND : compile.c
- ADD_SEND_R : compile.c
- ADD_SEQ : compile.c
- ADD_TRACE : compile.c
- adddecl : strftime.c
- ADDINC128 : sha2.c
- addrinfo_free : raddrinfo.c
- AF_UNSPEC : sockport.h
- after_fork : process.c
- AI_ADDRCONFIG : addrinfo.h
- AI_ALL : addrinfo.h
- AI_CANONNAME : addrinfo.h
- AI_DEFAULT : addrinfo.h
- AI_MASK : addrinfo.h
- AI_NUMERICHOST : addrinfo.h
- AI_NUMERICSERV : addrinfo.h
- AI_PASSIVE : addrinfo.h
- AI_V4MAPPED : addrinfo.h
- AI_V4MAPPED_CFG : addrinfo.h
- ALIAS_EVENT_INIT : yaml_private.h
- ALIAS_TOKEN_INIT : yaml_private.h
- ALIGN_CHAR : dl.h , fiddle.h
- ALIGN_DOUBLE : dl.h , fiddle.h
- ALIGN_FLOAT : fiddle.h , dl.h
- ALIGN_INT : dl.h , fiddle.h
- ALIGN_LONG : dl.h , fiddle.h
- ALIGN_OF : dl.h , fiddle.h
- ALIGN_SHORT : dl.h , fiddle.h
- ALIGN_VOIDP : dl.h , fiddle.h
- ALIGNMENT_RIGHT : regint.h
- ALLOC : ripper.y , ruby.h
- ALLOC_AND_COPY : iseq.c
- ALLOC_ARGV : process.c
- ALLOC_N : ripper.y , ruby.h
- ALLOCA_N : ripper.y , ruby.h
- AllocCipher : ossl_cipher.c
- ALLOCV : ripper.y , ruby.h
- ALLOCV_END : ripper.y , ruby.h
- ALLOCV_N : ripper.y , ruby.h
- ALLOW_INTS : rubysig.h
- ALLOWED_ANCHOR_IN_LB : regcomp.c
- ALLOWED_ANCHOR_IN_LB_NOT : regcomp.c
- ALLOWED_ENCLOSE_IN_LB : regcomp.c
- ALLOWED_ENCLOSE_IN_LB_NOT : regcomp.c
- ALLOWED_TYPE_IN_LB : regcomp.c
- ALT : vsnprintf.c
- ambiguous_operator : ripper.c , ripper.y , parse.c , parse.y
- ANCHOR_ANYCHAR_STAR : regint.h
- ANCHOR_ANYCHAR_STAR_MASK : regparse.h
- ANCHOR_ANYCHAR_STAR_ML : regint.h
- ANCHOR_BEGIN_BUF : regint.h
- ANCHOR_BEGIN_LINE : regint.h
- ANCHOR_BEGIN_POSITION : regint.h
- ANCHOR_END_BUF : regint.h
- ANCHOR_END_BUF_MASK : regparse.h
- ANCHOR_END_LINE : regint.h
- ANCHOR_KEEP : regint.h
- ANCHOR_LOOK_BEHIND : regint.h
- ANCHOR_LOOK_BEHIND_NOT : regint.h
- ANCHOR_NOT_WORD_BOUND : regint.h
- ANCHOR_PREC_READ : regint.h
- ANCHOR_PREC_READ_NOT : regint.h
- ANCHOR_SEMI_END_BUF : regint.h
- ANCHOR_TEMPLATE : dumper.c
- ANCHOR_TEMPLATE_LENGTH : dumper.c
- ANCHOR_TOKEN_INIT : yaml_private.h
- ANCHOR_WORD_BEGIN : regint.h
- ANCHOR_WORD_BOUND : regint.h
- ANCHOR_WORD_END : regint.h
- ANN : node.c
- ANY : getaddrinfo.c , getnameinfo.c
- ANYARGS : defines.h , ripper.y
- APPEND_LABEL : compile.c
- AR : node.c
- AREF : cparse.c
- arg_ambiguous : ripper.c , ripper.y , parse.c , parse.y
- arg_append : ripper.c , ripper.y , parse.c , parse.y
- arg_concat : ripper.c , ripper.y , parse.c , parse.y
- ARG_ENCODING_FIXED : re.c
- ARG_ENCODING_NONE : re.c
- ARG_FLUSH : zlib.c
- ARG_LEVEL : zlib.c
- ARG_MEMLEVEL : zlib.c
- ARG_REG_OPTION_MASK : re.c
- ARG_STRATEGY : zlib.c
- ARG_UNUSED : nkf.h , regenc.h , regint.h
- arg_var : parse.y , ripper.y , ripper.c , parse.c
- ARG_WBITS : zlib.c
- ARGF : io.c
- ARGF_FORWARD : io.c
- ARGF_GENERIC_INPUT_P : io.c
- argf_of : io.c
- ARGV_COUNT : process.c
- ARGV_SIZE : process.c
- ARGVSTR2ARGC : internal.h , ripper.y
- ARGVSTR2ARGV : internal.h , ripper.y
- ARRAY_REDEFINED_OP_FLAG : vm_insnhelper.h
- ARY_CAPA : array.c
- ARY_DEFAULT_SIZE : array.c
- ARY_EMBED_LEN : array.c
- ARY_EMBED_P : array.c
- ARY_EMBED_PTR : array.c
- ARY_HEAP_LEN : array.c
- ARY_HEAP_PTR : array.c
- ARY_INCREASE_LEN : array.c
- ARY_INCREASE_PTR : array.c
- ARY_MAX_SIZE : array.c
- ARY_OWNS_HEAP_P : array.c
- ARY_SET_CAPA : array.c
- ARY_SET_EMBED_LEN : array.c
- ARY_SET_HEAP_LEN : array.c
- ARY_SET_LEN : array.c
- ARY_SET_PTR : array.c
- ARY_SET_SHARED : array.c
- ARY_SET_SHARED_NUM : array.c
- ARY_SHARED : array.c
- ARY_SHARED_NUM : array.c
- ARY_SHARED_P : array.c
- ARY_SHARED_ROOT_P : array.c
- aryset : parse.c , parse.y , ripper.y , ripper.c
- AS_DIGIT : yaml_private.h
- AS_DIGIT_AT : yaml_private.h
- AS_HEX : yaml_private.h
- AS_HEX_AT : yaml_private.h
- ASCGET : re.c
- ascii_isspace : string.c
- asp_string : date_parse.c
- assert : ossl.h
- assignable : parse.c , parse.y , ripper.c , ripper.y
- assignable_result : parse.y , ripper.c , ripper.y , parse.c
- ATOMIC_CAS : ruby_atomic.h
- ATOMIC_DEC : ruby_atomic.h
- ATOMIC_EXCHANGE : ruby_atomic.h
- ATOMIC_INC : ruby_atomic.h
- ATOMIC_OR : ruby_atomic.h
- ATOMIC_SET : ruby_atomic.h
- ATOMIC_SIZE_ADD : ruby_atomic.h
- ATOMIC_SIZE_DEC : ruby_atomic.h
- ATOMIC_SIZE_EXCHANGE : ruby_atomic.h
- ATOMIC_SIZE_INC : ruby_atomic.h
- ATOMIC_SIZE_SUB : ruby_atomic.h
- attrset : parse.y , parse.c , ripper.c , ripper.y
- Avoid_Underflow : util.c